function v_compute_intnum, val1, val2

;+ $Id: v_compute_intnum.pro,v 1.5 2007/04/23 15:00:41 flo Exp $
;
; NAME:
;  v_compute_intnum
;
; PURPOSE:
;  The Virtis-H integration time is stored in the Housekeeping packets into 2 words of 2 bytes each
;  This function computes the integration time uses given those 2 words
;  
; CALLING SEQUENCE:
;  Result=v_compute_intnum(val1, val2)
;               
; INPUTS:
;  val1 = least significant word
;  val2 = most significant word
;       
; OUTPUTS:
;  Result = The translated integration time
;
;-
	
	IntNum = replicate(double('FFFF'X), n_elements(val1))

	valid = where((val1 ne 'FFFF'X) and (val2 ne 'FFFF'X)) 
	if (valid[0] eq -1) then return, IntNum
	
	IntNum[valid] = (val1[valid] + val2[valid] * 1024) * 512e-6
	
	return, IntNum
end
