function v_compute_scet, $
	val1, val2, val3

;+ $Id: v_compute_scet.pro,v 1.5 2007/04/23 15:00:41 flo Exp $
;
; NAME:
;  v_compute_scet
;
; PURPOSE:
;  The SCET values located in the PDS suffix are stored into 3 words of 2 bytes each
;  This function compte a SCET value given those 3 words
;  
; CALLING SEQUENCE:
;  Result=v_compute_scet(val1, val2, val3)
;               
; INPUTS:
;  val1 = Most significant word
;  val2 = Middle word
;  val3 = Least significant word
;       
; OUTPUTS:
;  Result = The SCET (SpaceCraft Elapsed Time)
;-	

	scet = replicate(double('FFFF'X), n_elements(val1))

	valid = where((val1 ne 'FFFF'X) and (val2 ne 'FFFF'X) and (val3 ne 'FFFF'X))
	if (valid[0] eq -1) then return, scet
	
	scet[valid]  = ulong(val1[valid]) * 2D^16D
	scet[valid] += ulong(val2[valid])
	scet[valid] += double(double(val3[valid]) / 2D^16D)
		
	return, scet
end
